Session
Executes a session
Executes a session was created with deferred execution
POST
/
api
/
v1
/
local
/
session
/
{namespace}
/
{sessionId}
Executes a session
curl --request POST \
--url https://api.example.com/api/v1/local/session/{namespace}/{sessionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ttl": 123,
"extendedEndReport": true,
"persistenceMode": {
"mode": "hold_after_exit",
"duration": 123
},
"webhooks": {}
}
'import requests
url = "https://api.example.com/api/v1/local/session/{namespace}/{sessionId}"
payload = {
"ttl": 123,
"extendedEndReport": True,
"persistenceMode": {
"mode": "hold_after_exit",
"duration": 123
},
"webhooks": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ttl: 123,
extendedEndReport: true,
persistenceMode: {mode: 'hold_after_exit', duration: 123},
webhooks: {}
})
};
fetch('https://api.example.com/api/v1/local/session/{namespace}/{sessionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/local/session/{namespace}/{sessionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'ttl' => 123,
'extendedEndReport' => true,
'persistenceMode' => [
'mode' => 'hold_after_exit',
'duration' => 123
],
'webhooks' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/local/session/{namespace}/{sessionId}"
payload := strings.NewReader("{\n \"ttl\": 123,\n \"extendedEndReport\": true,\n \"persistenceMode\": {\n \"mode\": \"hold_after_exit\",\n \"duration\": 123\n },\n \"webhooks\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/v1/local/session/{namespace}/{sessionId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"ttl\": 123,\n \"extendedEndReport\": true,\n \"persistenceMode\": {\n \"mode\": \"hold_after_exit\",\n \"duration\": 123\n },\n \"webhooks\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/local/session/{namespace}/{sessionId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"ttl\": 123,\n \"extendedEndReport\": true,\n \"persistenceMode\": {\n \"mode\": \"hold_after_exit\",\n \"duration\": 123\n },\n \"webhooks\": {}\n}"
response = http.request(request)
puts response.read_body{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Path Parameters
Body
application/json
Settings for the execution of the session
Response
Success
⌘I
Executes a session
curl --request POST \
--url https://api.example.com/api/v1/local/session/{namespace}/{sessionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ttl": 123,
"extendedEndReport": true,
"persistenceMode": {
"mode": "hold_after_exit",
"duration": 123
},
"webhooks": {}
}
'import requests
url = "https://api.example.com/api/v1/local/session/{namespace}/{sessionId}"
payload = {
"ttl": 123,
"extendedEndReport": True,
"persistenceMode": {
"mode": "hold_after_exit",
"duration": 123
},
"webhooks": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ttl: 123,
extendedEndReport: true,
persistenceMode: {mode: 'hold_after_exit', duration: 123},
webhooks: {}
})
};
fetch('https://api.example.com/api/v1/local/session/{namespace}/{sessionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/local/session/{namespace}/{sessionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'ttl' => 123,
'extendedEndReport' => true,
'persistenceMode' => [
'mode' => 'hold_after_exit',
'duration' => 123
],
'webhooks' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/local/session/{namespace}/{sessionId}"
payload := strings.NewReader("{\n \"ttl\": 123,\n \"extendedEndReport\": true,\n \"persistenceMode\": {\n \"mode\": \"hold_after_exit\",\n \"duration\": 123\n },\n \"webhooks\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/v1/local/session/{namespace}/{sessionId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"ttl\": 123,\n \"extendedEndReport\": true,\n \"persistenceMode\": {\n \"mode\": \"hold_after_exit\",\n \"duration\": 123\n },\n \"webhooks\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/local/session/{namespace}/{sessionId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"ttl\": 123,\n \"extendedEndReport\": true,\n \"persistenceMode\": {\n \"mode\": \"hold_after_exit\",\n \"duration\": 123\n },\n \"webhooks\": {}\n}"
response = http.request(request)
puts response.read_body{
"message": "<string>"
}{
"message": "<string>"
}